# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

setwarp:
  # Should you enable the gui?
  enabled: false
  # What is the name of the gui?
  name: "setwarp"
  # The title of the gui (Can use color codes)
  title: "&b&lSet Warp"
  # What is the size of this GUI? (multiples of 9 can only go up to 54)
  size: 27
  # What are the actions when this menu is opened up?
  open-actions: []
  # What are the actions when this menu is closed?
  close-actions: []

  clickable-items:
    name:
      name: "&bSet name"
      material: "OAK_SIGN"
      data: 0
      lore:
      - "&dClick&b to set the name of the warp."
      - " "
      - "&7Current name: &b[warp_display]"
      slot: 4
      amount: 1
      glowing: false
      sign:
        lines:
        - "%search%"
        - "----------------"
        - "Please enter"
        - "a name."
    description:
      name: "&bSet description"
      material: "PAPER"
      data: 0
      lore:
      - "&dClick&b to set the description of the warp."
      - " "
      - "&7Current description: &b[desc]"
      slot: 11
      amount: 1
      glowing: false
      message: "&bPlease enter a description for the warp."
    cost:
      name: "&bSet cost"
      material: "GOLD_INGOT"
      data: 0
      lore:
      - "&dClick&b to set the cost of the warp."
      - " "
      - "&7Current cost: &b[cost_set]"
      slot: 13
      amount: 1
      glowing: false
      sign:
        lines:
        - "%search%"
        - "----------------"
        - "Please enter"
        - "a price."
    category:
      name: "&bSet category"
      material: "BOOK"
      data: 0
      lore:
      - "&dLeft Click&b to add a category to the warp."
      - "&dRight Click&b to remove a category from the warp."
      - " "
      - "&7Current categories: &b[category]"
      slot: 15
      amount: 1
      glowing: false
      sign:
        lines:
        - "%search%"
        - "----------------"
        - "Please enter"
        - "a category."
    set:
      name: "&bSet warp"
      material: "LIME_WOOL"
      data: 5
      lore:
      - "&dClick&b to set the warp."
      slot: 22
      amount: 1
      glowing: false

  items:
    # What are the items that are placed into the GUI to make it more pretty?
    1:
      # This is the name of the item.
      name: " "
      # This is the item material.
      material: "LIGHT_BLUE_STAINED_GLASS_PANE"
      # This is the data item
      data: 3
      # You can add lores!
      # example of what you can do:
      # lore:
      #   - "&bThis is a pane."
      slot:
      - 0
      - 2
      - 6
      - 8
      - 18
      - 20
      - 24
      - 26
      # What is the stack amount?
      amount: 1
      # commands that will be executed on click.
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # commands:
      #   - "[server] msg %player% you clicked this item!"
      glowing: false
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTZmOGFmYjI3YmFmYzc3YzJiODI1OTljMmY3YjhmMWY2ODMxMGU2YWE5MDRmMDUxYjA3YWIxYzJiNmIifX19 - Skull texture
      #owner: Glass - Skull owner
    2:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot:
      - 1
      - 3
      - 5
      - 7
      - 9
      - 17
      - 19
      - 21
      - 23
      - 25
      amount: 1
